## org.apache.lucene.benchmark.byTask.tasks
Class RepSumByPrefRoundTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ReportTask
              org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask
                  org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefRoundTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class RepSumByPrefRoundTask

extends RepSumByPrefTask

Report all prefix matching statistics grouped/aggregated by name and round.
Other side effects: None.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask
`prefix`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask
`COLS, ELAPSED, newline, OP, RECCNT, RECSEC, ROUND, RUNCNT, TOTMEM, USEDMEM`

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`RepSumByPrefRoundTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected Report` `reportSumByPrefixRound(java.util.List taskStats)`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask
`reportSumByPrefix, setPrefix, toString`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask
`genPartialReport, longestOp, shouldNeverLogAtStart, shouldNotRecordStats, tableTitle, taskReportLine`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getDepth, getLogMessage, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setup, supportsParams, tearDown`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepSumByPrefRoundTask

    public RepSumByPrefRoundTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws java.lang.Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Overrides:
    `doLogic` in class `RepSumByPrefTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.lang.Exception`

### reportSumByPrefixRound

    protected Report reportSumByPrefixRound(java.util.List taskStats)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.